Docs Replicate official format /replicate/v1/models/ideogram-ai/ideogram-v2-turbo/predictions
API reference

Create task ideogram-ai/ideogram-v2-turbo

Official document: https://replicate.com/ideogram-ai/ideogram-v2-turbo

POST/replicate/v1/models/ideogram-ai/ideogram-v2-turbo/predictions

Body Parametersapplication/json

input object

Input content

properties
aspect_ratio string

aspect ratio. Ignored if resolution or repair image is specified. Default value: "1:1".

magic_prompt_option string

Magic Prompt interprets your prompts and optimizes them to maximize the variety and quality of the resulting images. You can also use it to write prompts in different languages. Default value: "Auto".

prompt* string

Image-generated text prompts.

resolution string

resolution. Cover aspect ratio. If a repair image is specified, this parameter is ignored. Default value: "None".

style_type string

Styles help define the specific aesthetic of the image you want to produce. Default value: "None".

Responses

200 application/json
response-200 object
properties
created_at string

Creation time

data_removed boolean

Whether sensitive data has been removed

error string nullable

Error message

id* string

Resource or task ID

input object

Input content

logs string

Run logs

model string

Model name / model ID

output string nullable

Output result

status* string

Status

urls object

List of resource URLs

version string

Version

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"aspect_ratio": "1:1",
4"magic_prompt_option": "Auto",
5"prompt": "An illustration of a gold running shoe with the text \"Run AI with an API\" written on the shoe. The shoe is placed on a pink background. The text is white and bold. The overall image has a modern and techy vibe, with elements of speed.",
6"resolution": "None",
7"style_type": "None"
8}
9}
Code Sample cURL
1curl -X POST "https://api.digislash.com/replicate/v1/models/ideogram-ai/ideogram-v2-turbo/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"aspect_ratio": "1:1",
7"magic_prompt_option": "Auto",
8"prompt": "An illustration of a gold running shoe with the text \"Run AI with an API\" written on the shoe. The shoe is placed on a pink background. The text is white and bold. The overall image has a modern and techy vibe, with elements of speed.",
9"resolution": "None",
10"style_type": "None"
11}
12}'
Response
1▼{
2"created_at": "2025-07-29T09:37:36.685Z",
3"data_removed": false,
4"id": "2jycc2v9nnrmc0crap5tv5zaxr",
5▼"input": {
6"aspect_ratio": "1:1",
7"magic_prompt_option": "Auto",
8"prompt": "An illustration of a gold running shoe with the text \"Run AI with an API\" written on the shoe. The shoe is placed on a pink background. The text is white and bold. The overall image has a modern and techy vibe, with elements of speed.",
9"resolution": "None",
10"style_type": "None"
11},
12"logs": "",
13"model": "ideogram-ai/ideogram-v2-turbo",
14"status": "starting",
15▼"urls": {
16"cancel": "https://api.replicate.com/v1/predictions/2jycc2v9nnrmc0crap5tv5zaxr/cancel",
17"get": "https://api.replicate.com/v1/predictions/2jycc2v9nnrmc0crap5tv5zaxr",
18"stream": "https://stream.replicate.com/v1/files/bcwr-irvir7a5lzv2z6pja5hol5cy36lt5jekok743kcmbfu4gtvpv7vq",
19"web": "https://replicate.com/p/2jycc2v9nnrmc0crap5tv5zaxr"
20},
21"version": "hidden"
22}